Starts a bank transfer payment through which a user can verify their IBAN account number.
POST
/api/v1/user/verify/iban/bank-transfer
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”The IBAN verification request containing the return url.
object
returnUrl
required
Redirect URL to sent the user back to after completing the IBAN verification payment
string
Example
https://link-to.your-website.com/with?parameters=to-redirectResponses
Section titled “ Responses ”Request for bank transfer verification succeeded. Response contains bank account details that should be used to complete the IBAN verification through a bank transfer.
object
name
The name of the company to which the funds should be transferred.
string
Example
BTC Direct Europe BV country
The country in which the company is located.
string
Example
The Netherlands city
The city in which the company is located.
string
Example
Nijmegen bank
The name of the bank to which the funds should be transferred.
string
Example
Bunq swift
The SWIFT code of the bank to which the funds should be transferred.
string
Example
BUNQNL2A reference
The reference that should be used when transferring the funds.
string
Example
YFUWTT iban
The IBAN to which the funds should be transferred.
string
Example
NL12BUNQ2060426707A list of possible errors for this endpoint.
object
code
required
string
message
required
string
solution
required
string
Example
{ "errors": { "ER362": { "code": "ER362", "message": "Missing return url value.", "solution": "Add a return url to the body." }, "ER363": { "code": "ER363", "message": "Invalid return url value.", "solution": "Provide a valid return url." }, "ER700": { "code": "ER700", "message": "User authorization token not found.", "solution": "Provide a user authorization token." }, "ER701": { "code": "ER701", "message": "User authorization token has expired.", "solution": "Request a new authorization token, or refresh the token." }, "ER702": { "code": "ER702", "message": "User authorization token is invalid.", "solution": "Provide a valid user authorization token." }, "ER703": { "code": "ER703", "message": "User identifier does not belong to the user in the user authorization token.", "solution": "Provide a valid user identifier, or remove the user identifier header." }, "ER704": { "code": "ER704", "message": "No user identifier found in headers.", "solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that." }, "ER705": { "code": "ER705", "message": "User identifier is not linked to a user.", "solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism." }, "ER706": { "code": "ER706", "message": "User identifier is invalid.", "solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use." }, "ER707": { "code": "ER707", "message": "User identifier is invalid.", "solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only." }, "ER708": { "code": "ER708", "message": "There is a pending document for this side.", "solution": "Wait for the pending document to be reviewed." }, "ER709": { "code": "ER709", "message": "User not found, or user has been deleted.", "solution": "Provide a valid user identifier." }, "ER800": { "code": "ER800", "message": "Authorization token is invalid.", "solution": "Provide a valid authorization token." }, "ER801": { "code": "ER801", "message": "Authorization token has expired.", "solution": "Request a new authorization token." }, "ER802": { "code": "ER802", "message": "Authorization token not found.", "solution": "Provide an authorization token." }, "ER803": { "code": "ER803", "message": "Multiple authorization methods used.", "solution": "Use exactly one authorization method." }, "ER805": { "code": "ER805", "message": "API key is invalid.", "solution": "Provide a valid API key." }, "ER806": { "code": "ER806", "message": "API key not found.", "solution": "Provide an API key." }, "ER999": { "code": "ER999", "message": "A general error has occurred. Please contact our support team.", "solution": "Contact our support team." } }}